*** ./Configure-OSR6.osr6	Sat Oct  1 15:54:45 2005
--- ./Configure-OSR6	Sat Oct  1 15:54:45 2005
***************
*** 0 ****
--- 1,20 ----
+ #!/bin/sh
+ #
+ HOST=i586-sco-sysv5
+ CFLAGS="-O2"
+ INSTALL=/usr/gnu/bin/install
+ NM=nm-p
+ M4=/usr/gnu/bin/m4
+ if [ "$1" = "-g" ]
+ then
+   CC="gcc -D_REENTRANT"
+   CXX="g++ -D_REENTRANT"
+   CFLAGS="$CFLAGS -Wall"
+ else
+   CC="cc -Kpthread -Kalloca"
+   CXX="CC -Kpthread -Kalloca"
+ fi
+ export CC CXX CFLAGS NM M4 INSTALL
+ rm -f mout-configure
+ ./configure --prefix=/usr/local --sysconfdir=/etc \
+             --host=$HOST --target=$HOST --build=$HOST 2>&1 | tee mout-configure
*** ./configure.osr6	Thu Jul 21 00:34:00 2005
--- ./configure	Sat Oct  1 15:54:45 2005
***************
*** 5346,5352 ****
    lt_cv_deplibs_check_method=pass_all
    ;;
  
! sco3.2v5*)
    lt_cv_deplibs_check_method=pass_all
    ;;
  
--- 5346,5352 ----
    lt_cv_deplibs_check_method=pass_all
    ;;
  
! sysv5* | sco3.2v5*)
    lt_cv_deplibs_check_method=pass_all
    ;;
  
***************
*** 5354,5360 ****
    lt_cv_deplibs_check_method=pass_all
    ;;
  
! sysv4 | sysv4.2uw2* | sysv4.3* | sysv5*)
    case $host_vendor in
    motorola)
      lt_cv_deplibs_check_method='file_magic ELF [0-9][0-9]*-bit [ML]SB (shared object|dynamic lib) M[0-9][0-9]* Version [0-9]'
--- 5354,5360 ----
    lt_cv_deplibs_check_method=pass_all
    ;;
  
! sysv4 | sysv4.2uw2* | sysv4.3*)
    case $host_vendor in
    motorola)
      lt_cv_deplibs_check_method='file_magic ELF [0-9][0-9]*-bit [ML]SB (shared object|dynamic lib) M[0-9][0-9]* Version [0-9]'
***************
*** 8689,8695 ****
        fi
        ;;
  
!     solaris* | sysv5*)
        if $LD -v 2>&1 | grep 'BFD 2\.8' > /dev/null; then
  	ld_shlibs=no
  	cat <<EOF 1>&2
--- 8689,8695 ----
        fi
        ;;
  
!     solaris*)
        if $LD -v 2>&1 | grep 'BFD 2\.8' > /dev/null; then
  	ld_shlibs=no
  	cat <<EOF 1>&2
***************
*** 9363,9374 ****
        ;;
  
      sysv5*)
!       no_undefined_flag=' -z text'
        # $CC -shared without GNU ld will not create a library from C++
        # object files and a static libstdc++, better avoid it by now
!       archive_cmds='$LD -G${allow_undefined_flag} -h $soname -o $lib $libobjs $deplibs $linker_flags'
!       archive_expsym_cmds='$echo "{ global:" > $lib.exp~cat $export_symbols | $SED -e "s/\(.*\)/\1;/" >> $lib.exp~$echo "local: *; };" >> $lib.exp~
!   		$LD -G${allow_undefined_flag} -M $lib.exp -h $soname -o $lib $libobjs $deplibs $linker_flags~$rm $lib.exp'
        hardcode_libdir_flag_spec=
        hardcode_shlibpath_var=no
        runpath_var='LD_RUN_PATH'
--- 9363,9373 ----
        ;;
  
      sysv5*)
!       no_undefined_flag=''
        # $CC -shared without GNU ld will not create a library from C++
        # object files and a static libstdc++, better avoid it by now
!       archive_cmds='$LD -G${allow_undefined_flag} -h $rpath/$soname -o $lib $libobjs $deplibs $linker_flags'
!       archive_expsym_cmds='$LD -G${allow_undefined_flag} -Bexport:$export_symbols -h $rpath/$soname -o $lib $libobjs $deplibs $linker_flags'
        hardcode_libdir_flag_spec=
        hardcode_shlibpath_var=no
        runpath_var='LD_RUN_PATH'
***************
*** 21555,21566 ****
  
  if test -n "$PKG_CONFIG"; then
          if test -n "$PKG_CONFIG" && \
!     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"glib-2.0 >= 1.3.7\"") >&5
!   ($PKG_CONFIG --exists --print-errors "glib-2.0 >= 1.3.7") 2>&5
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; then
!   pkg_cv_LIBIDL_CFLAGS=`$PKG_CONFIG --cflags "glib-2.0 >= 1.3.7" 2>/dev/null`
  else
    pkg_failed=yes
  fi
--- 21554,21565 ----
  
  if test -n "$PKG_CONFIG"; then
          if test -n "$PKG_CONFIG" && \
!     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"newglib-2.0 >= 1.3.7\"") >&5
!   ($PKG_CONFIG --exists --print-errors "newglib-2.0 >= 1.3.7") 2>&5
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; then
!   pkg_cv_LIBIDL_CFLAGS=`$PKG_CONFIG --cflags "newglib-2.0 >= 1.3.7" 2>/dev/null`
  else
    pkg_failed=yes
  fi
***************
*** 21569,21580 ****
  fi
  if test -n "$PKG_CONFIG"; then
          if test -n "$PKG_CONFIG" && \
!     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"glib-2.0 >= 1.3.7\"") >&5
!   ($PKG_CONFIG --exists --print-errors "glib-2.0 >= 1.3.7") 2>&5
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; then
!   pkg_cv_LIBIDL_LIBS=`$PKG_CONFIG --libs "glib-2.0 >= 1.3.7" 2>/dev/null`
  else
    pkg_failed=yes
  fi
--- 21568,21579 ----
  fi
  if test -n "$PKG_CONFIG"; then
          if test -n "$PKG_CONFIG" && \
!     { (echo "$as_me:$LINENO: \$PKG_CONFIG --exists --print-errors \"newglib-2.0 >= 1.3.7\"") >&5
!   ($PKG_CONFIG --exists --print-errors "newglib-2.0 >= 1.3.7") 2>&5
    ac_status=$?
    echo "$as_me:$LINENO: \$? = $ac_status" >&5
    (exit $ac_status); }; then
!   pkg_cv_LIBIDL_LIBS=`$PKG_CONFIG --libs "newglib-2.0 >= 1.3.7" 2>/dev/null`
  else
    pkg_failed=yes
  fi
***************
*** 21583,21600 ****
  fi
  
  if test $pkg_failed = yes; then
! 	LIBIDL_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "glib-2.0 >= 1.3.7"`
  	# Put the nasty error message in config.log where it belongs
  	echo "$LIBIDL_PKG_ERRORS" 1>&5
  
! 	{ { echo "$as_me:$LINENO: error: Package requirements (glib-2.0 >= 1.3.7) were not met.
  Consider adjusting the PKG_CONFIG_PATH environment variable if you
  installed software in a non-standard prefix.
  
  Alternatively you may set the LIBIDL_CFLAGS and LIBIDL_LIBS environment variables
  to avoid the need to call pkg-config.  See the pkg-config man page for
  more details." >&5
! echo "$as_me: error: Package requirements (glib-2.0 >= 1.3.7) were not met.
  Consider adjusting the PKG_CONFIG_PATH environment variable if you
  installed software in a non-standard prefix.
  
--- 21582,21599 ----
  fi
  
  if test $pkg_failed = yes; then
! 	LIBIDL_PKG_ERRORS=`$PKG_CONFIG --errors-to-stdout --print-errors "newglib-2.0 >= 1.3.7"`
  	# Put the nasty error message in config.log where it belongs
  	echo "$LIBIDL_PKG_ERRORS" 1>&5
  
! 	{ { echo "$as_me:$LINENO: error: Package requirements (newglib-2.0 >= 1.3.7) were not met.
  Consider adjusting the PKG_CONFIG_PATH environment variable if you
  installed software in a non-standard prefix.
  
  Alternatively you may set the LIBIDL_CFLAGS and LIBIDL_LIBS environment variables
  to avoid the need to call pkg-config.  See the pkg-config man page for
  more details." >&5
! echo "$as_me: error: Package requirements (newglib-2.0 >= 1.3.7) were not met.
  Consider adjusting the PKG_CONFIG_PATH environment variable if you
  installed software in a non-standard prefix.
  
*** ./Install-OSR6.osr6	Sat Oct  1 15:55:32 2005
--- ./Install-OSR6	Sat Oct  1 15:55:44 2005
***************
*** 0 ****
--- 1,12 ----
+ #!/bin/sh
+ 
+ MOUT=mout-install
+ D=/u/tmp/libIDL
+ DESTDIR=$D
+ export DESTDIR
+ 
+ [ -f $MOUT ] && mv $MOUT $MOUT-prev
+ [ -d $D ] && rm -rf $D
+ mkdir -p $D
+ make install DESTDIR=$D 2>&1 | tee $MOUT
+ 
